
QGIS Application - Bug report #19014

Crash when working on layout, but only when a particular line vector layer is active

2018-05-23 07:29 PM - Bryant Baker

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.0.2 Regression?: No

Operating System: Windows 10 (x64) Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26845

Description

Crash ID: b7693e9aafd3ece03bd92b5684d7df2bef90319d

Stack Trace

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::offsetCurve :

QgsGeometry::offsetCurve :

QgsSymbolLayerUtils::needSvgMarker :

QgsSimpleLineSymbolLayer::renderPolyline :

QgsLineSymbol::renderPolylineUsingLayer :

QgsLineSymbol::renderPolyline :

QgsSymbol::renderFeature :

QgsFeatureRenderer::renderFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsRenderContext::segmentationToleranceType :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

I've narrowed it down to a single vector layer. It's a simple line shapefile with categorized symbology. If it's active and I move to layout

mode to work on creating a map, QGIS crashes consistently.
History

#1 - 2018-05-24 01:44 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #14752

#2 - 2018-05-24 01:51 AM - Bryant Baker

None of the layers have labels with the "Discourage labels from covering features" option selected and the crash still happens consistently.
